FontSmoothingType (JavaFX 17)

Module javafx.graphics
Package javafx.scene.text

## Enum FontSmoothingType

- java.lang.Object
- - java.lang.Enum<FontSmoothingType>
  - - javafx.scene.text.FontSmoothingType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FontSmoothingType>`

      public enum FontSmoothingType
      extends Enum<FontSmoothingType>

  The `FontSmoothingType` enum is used to specify the preferred mechanism used to smooth the edges of fonts for on-screen text.
  Since:
    JavaFX 2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GRAY` | Specifies the default gray scale smoothing, which is most suitable for graphics and animation uses.
    `LCD` | Specifies sub-pixel LCD text, which utilises characteristics of digital LCD display panels to achieve increased pixel resolution.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FontSmoothingType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FontSmoothingType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GRAY

          public static final FontSmoothingType GRAY

      Specifies the default gray scale smoothing, which is most suitable for graphics and animation uses.

    - #### LCD

          public static final FontSmoothingType LCD

      Specifies sub-pixel LCD text, which utilises characteristics of digital LCD display panels to achieve increased pixel resolution. This mode is generally appropriate where the important factor is legibility of static text, particularly at small sizes.

      A request for LCD text is a 'hint', since the implementation may need to ignore it under conditions such as compositing modes which do not support it. It follow that where LCD text is important that the application should avoid use of effects, transparency etc.

  - ### Method Detail

    - #### values

          public static FontSmoothingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontSmoothingType c : FontSmoothingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontSmoothingType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null